package application;

import java.net.URL;
import java.util.ArrayList;
import java.util.ResourceBundle;

import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.control.TextField;
import javafx.scene.text.Text;
import javafx.scene.text.TextFlow;

public class Controller implements Initializable {
	
	private Model model; 
	
	public Controller(Model model){
		
		this.model = model;
	}

	@FXML private TextFlow verlauf_field;
	
	@FXML private TextField msg_field,username_field;

	@FXML protected void btnAbbrechenAction(){
		
		msg_field.setText("");
	}
	
	@FXML protected void btnSendenAction(){
		
		// Beim Senden soll die Nachricht im Model gespeichert werden.
		
		model.addMsg(username_field.getText(), msg_field.getText());
		
		// Leere Textfeld und Verlaufsfeld
		msg_field.setText("");
		verlauf_field.getChildren().clear();
		
		
		// Hole die Nachrichten vom Model
		ArrayList<String> unames = model.getUnames();
		ArrayList<String> msgs = model.getMsgs();
		
		// Gib alle Nachrichten auf dem Verlaufsfeld aus:
		for(int i=0; i<unames.size();i++){
			
			Text usern_text = new Text(unames.get(i)+": ");
			usern_text.setStyle("-fx-font-weight: bold;");
			Text mgs_text = new Text(msgs.get(i)+"\n");			
			verlauf_field.getChildren().addAll(usern_text,mgs_text);			
		}
	}
	
	
	@Override
	public void initialize(URL location, ResourceBundle resources) {
		// TODO Auto-generated method stub
		
		
		
	}
	
	
}
