package application;

import java.net.URL;
import java.util.ResourceBundle;

import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.control.TextField;
import javafx.scene.text.Text;
import javafx.scene.text.TextFlow;

public class Controller2 implements Initializable {
	
	private Model2 model; 
	
	public Controller2(Model2 model){
		
		this.model = model;
	}

	@FXML private TextFlow verlauf_field;
	
	@FXML private TextField msg_field,username_field;

	@FXML protected void btnAbbrechenAction(){
		
		msg_field.setText("");
	}
	
	@FXML protected void btnSendenAction(){
		
		// Nachricht im Model speciehrn:
		this.model.addMsg(username_field.getText(), msg_field.getText());
		
		// Counter fr Nachrichten erhhen:
		this.model.setCounter(this.model.getCounter()+1);
		
		// Fr die Usability: Nachrichtenfeld leeren
		msg_field.setText("");
	}
	
	
	@Override
	public void initialize(URL location, ResourceBundle resources) {
		
		// die counterProperty soll berwacht werden und bei einer nderung an der Variablen soll das Verlaufsfeld entsprechend aktualisiert werrden,
		// so dass die zu letzt eingegebene Nachricht auf dem Textfeld hinzugefgt wird.
		this.model.counterProperty().addListener((obs,old,newV)->{
			
			Text usern_text = new Text(this.model.getUnames().get((int)old)+": ");
			usern_text.setStyle("-fx-font-weight: bold;");
			Text mgs_text = new Text(this.model.getMsgs().get((int)old)+"\n");			
			verlauf_field.getChildren().addAll(usern_text,mgs_text);		
			
		});	
	}
	
	
}
