package application;
	
import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

/**
 * 
 * @author Lorenz Schauer 
 * 
 * Code zur Aufgabe des Chats mit einem Model zur Datenhaltung.
 * 
 * Die Klassen Model und Controller bilden die Lsung zur ersten Aufgabe aus dem Kurs vom 02.06.2016
 * D.h. ohne Properties
 * 
 * Die Klassen Model2 und Controller2 bilden die Lsung zur zweiten Aufgabe: D.h.: Unter Verwendung von Properties und ChangeListener
 * 
 * Um die jeweilige Aufgabe zu nutzen, einfach das Model und den Controller austauchen.
 *
 */
public class Main extends Application {
	@Override
	public void start(Stage primaryStage) {
		try {
			
			// Model ohne Properites:
			Model model = new Model();
			
			// Model mit Properties:
			//Model2 model = new Model2();
			
			// Controller ohne ChangeListerner 
			Controller c;
			
			// Controller mit ChangeListerner zugehrig zu Model2
			//Controller2 c;

			
			// 1. Chafenster
			
			FXMLLoader loader = new FXMLLoader(getClass().getResource("example.fxml"));	
			
			c = new Controller(model);
			//c = new Controller2(model);
			
			loader.setController(c);
			
			Parent root = loader.load();	
			
			
			Scene scene = new Scene(root);
			scene.getStylesheets().add(getClass().getResource("application.css").toExternalForm());
						
			primaryStage.setScene(scene);
			primaryStage.setTitle("Mein Chat 1");
			primaryStage.setX(10);
			primaryStage.show();
			
			
			// 2. Chatfenster
			
			FXMLLoader loader2 = new FXMLLoader(getClass().getResource("example.fxml"));	
			
			c = new Controller(model);
			//c = new Controller2(model);
			
			loader2.setController(c);
			
			Parent root2 = loader2.load();
			
			
			Scene scene2 = new Scene(root2);
			scene2.getStylesheets().add(getClass().getResource("application.css").toExternalForm());
				
			Stage secondStage = new Stage();
			
			secondStage.setScene(scene2);
			secondStage.setTitle("Mein Chat 2");
			secondStage.setX(540);
			secondStage.show();

		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	public static void main(String[] args) {
		launch(args);
	}
}
