package application;

import java.util.ArrayList;

import javafx.beans.property.IntegerProperty;
import javafx.beans.property.SimpleIntegerProperty;

/**
 * 
 * @author Lorenz Schauer
 * 
 * Model mit einer Property: counterProperty zum zhlen der Nachrichten
 *
 */
public class Model2 {
	
	private IntegerProperty counter;

	private ArrayList<String> unames, msgs;
	
	public Model2(){
		this.unames = new ArrayList<String>();
		this.msgs = new ArrayList<String>();
	}
	
	public IntegerProperty counterProperty(){
		if(this.counter==null)
			this.counter = new SimpleIntegerProperty(0);
		return this.counter;
	}
	
	public final void setCounter(int val){
		this.counter.set(val);
	}
	
	public final int getCounter(){
		if(this.counter==null)
			return 0;
		return this.counter.get();
	}
	
	public void addMsg(String uname, String txt){
		this.unames.add(uname);
		this.msgs.add(txt);
	}

	public ArrayList<String> getUnames() {
		return unames;
	}

	public ArrayList<String> getMsgs() {
		return msgs;
	}
}
